﻿using System.ServiceModel.Channels;

class CustomMessageEncoderFactory : MessageEncoderFactory
{
	readonly CustomMessageEncoder encoder;
	readonly MessageEncoderFactory innerFactory;

	public CustomMessageEncoderFactory(CustomMessageEncoderBindingElement bindingElement, MessageEncoderFactory innerFactory)
	{
		this.innerFactory = innerFactory;
		this.encoder = new CustomMessageEncoder(bindingElement, innerFactory.Encoder);
	}

	public override MessageEncoder Encoder
	{
		get { return this.encoder; }
	}

	public override MessageVersion MessageVersion
	{
		get { return this.innerFactory.MessageVersion; }
	}
}